KATE(1)

NOMBRE
kate - Editor de texto avanzado para KDE

SINOPSIS

kate [-s, --startnombre] [--startanon] [-n, --new] [-b, --block] [-p, --pidpid] [-e, --encodingnombre] [-l, --linelínea] [-c, --columncolumna] [-i, --stdin] [--tempfile] [archivo]

DESCRIPCIÓN

Kate es el editor de texto avanzado de KDE.

Kate también proporciona la parte de edición para varias aplicaciones bajo el nombre KWrite.

Algunas de las muchas características de Kate son: resaltado de sintaxis configurable para lenguajes que abarcan desde C y C++ hasta HTML y guiones bash, la posibilidad de crear y mantener proyectos, una interfaz de múltiples documentos (MDI), y un emulador de terminal integrado.

Pero Kate es más que un editor para programadores. Su capacidad para abrir varios archivos a la vez lo hace ideal para editar los numerosos archivos de configuración de un entorno UNIX®. Este documento ha sido escrito en Kate.

OPCIONES

-s, --start nombre
    Inicia Kate con una sesión determinada.

--startanon
    Inicia Kate con una nueva sesión anónima; implica -n.

-n, --new
    Fuerza el inicio de una nueva instancia de Kate (se ignora si se usa start y otra instancia de Kate ya tiene abierta la sesión dada); se fuerza si no se da ningún parámetro ni ninguna URL.

-b, --block
    Si se utiliza una instancia de Kate que ya se está ejecutando, se bloquea hasta que se salga de ella si se da una URL para abrir.

-p, --pid pid
    Solo intenta reutilizar la instancia de Kate con este pid (se ignora si se usa start y otra instancia de Kate ya tiene abierta la sesión dada).

-e, --encoding nombre
    Establece la codificación para el archivo a abrir

    Puede utilizar esto para forzar la apertura de un archivo en formato UTF-8, por ejemplo. (La orden iconv -l proporciona una lista de codificaciones que le puede resultar útil).

-l, --line línea
    Se desplaza hasta esta línea

-c, --column columna
    Se desplaza hasta esta columna

-i, --stdin
    Lee el contenido de stdin

--tempfile
    Los archivos o URL abiertos por la aplicación se borrarán después de haberlos utilizado.

archivo
    Archivo que se quiere abrir

VER TAMBIÉN
    Se dispone de documentación de usuario más detallada en help:/kate (puede introducir esta URL en Konqueror, o ejecutar khelpcenter help:/kate).
    kf5options(7)
    qt5options(7)
    También existe más información disponible en el sitio web de Kate[1].

EJEMPLOS

Para abrir un archivo con el nombre source.cpp en la columna 15, línea 25, en una ventana existente de Kate, puede usar:

    kate -c 15 -l
    25 -u source.cpp

Si dispone de una conexión permanente a Internet, puede aprovechar la característica de transparencia de red de KDE para abrir un archivo de un sitio FTP. Si no tiene permiso de escritura en el servidor remoto, podrá abrir el archivo en modo de lectura, y se le preguntará por una ubicación local para guardarlo en caso de que lo modifique. Si tiene permiso de escritura en el servidor, los cambios se guardarán transparentemente sobre la red.

    kate ftp://ftp.kde.org/pub/kde/README

AUTORES

El encargado de Kate es Christoph Cullmann <cullmann@kde.org>. Una extensa lista de autores y demás personas implicadas está disponible en el manual de usuario completo, antes mencionado.

AUTOR

Lauri Watts <lauri@kde.org>
    Autor.

NOTAS

1.  el sitio web de Kate
    http://kate-editor.org/